Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.portlet.handler
Class SimplePortletHandlerAdapter

    java.lang.Object
      org.springframework.web.portlet.handler.SimplePortletHandlerAdapter

All Implemented Interfaces:
  HandlerAdapter

    public class SimplePortletHandlerAdapter

extends Object
implements HandlerAdapter

Adapter to use the Portlet interface with the generic DispatcherPortlet. Calls the Portlet's `render` and `processAction` methods to handle a request.

This adapter is not activated by default; it needs to be defined as a bean in the DispatcherPortlet context. It will automatically apply to mapped handler beans that implement the Portlet interface then.

Note that Portlet instances defined as bean will not receive initialization and destruction callbacks, unless a special post-processor such as SimplePortletPostProcessor is defined in the DispatcherPortlet context.

Alternatively, consider wrapping a Portlet with Spring's PortletWrappingController. This is particularly appropriate for existing Portlet classes, allowing to specify Portlet initialization parameters, etc.

Since:
  2.0
Author:
  John A. Lewis
See Also:
  `Portlet`, `SimplePortletPostProcessor`, `PortletWrappingController`

Constructor Summary
`SimplePortletHandlerAdapter()`

Method Summary
`void` | `handleAction(javax.portlet.ActionRequest request, javax.portlet.ActionResponse response, Object handler)` Use the given handler to handle this action request.
`ModelAndView` | `handleRender(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response, Object handler)` Use the given handler to handle this render request.
`boolean` | `supports(Object handler)` Given a handler instance, return whether or not this HandlerAdapter can support it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimplePortletHandlerAdapter

    public SimplePortletHandlerAdapter()

Method Detail

### supports

    public boolean supports(Object handler)

  Description copied from interface: `HandlerAdapter`
  Given a handler instance, return whether or not this HandlerAdapter can support it. Typical HandlerAdapters will base the decision on the handler type. HandlerAdapters will usually only support one handler type each.

  A typical implementation:

  `return (handler instanceof MyHandler);`

  Specified by:
    `supports` in interface `HandlerAdapter`
  Parameters:
    `handler` - handler object to check
  Returns:
    whether or not this object can use the given handler

### handleAction

    public void handleAction(javax.portlet.ActionRequest request,
                             javax.portlet.ActionResponse response,
                             Object handler)
                      throws Exception

  Description copied from interface: `HandlerAdapter`
  Use the given handler to handle this action request. The workflow that is required may vary widely.

  Specified by:
    `handleAction` in interface `HandlerAdapter`
  Parameters:
    `request` - current action request
    `response` - current action response
    `handler` - handler to use. This object must have previously been passed to the `supports` method of this interface, which must have returned true.
  Throws:
    `Exception` - in case of errors

### handleRender

    public ModelAndView handleRender(javax.portlet.RenderRequest request,
                                     javax.portlet.RenderResponse response,
                                     Object handler)
                              throws Exception

  Description copied from interface: `HandlerAdapter`
  Use the given handler to handle this render request. The workflow that is required may vary widely.

  Specified by:
    `handleRender` in interface `HandlerAdapter`
  Parameters:
    `request` - current render request
    `response` - current render response
    `handler` - handler to use. This object must have previously been passed to the `supports` method of this interface, which must have returned `true`.
  Returns:
    ModelAndView object with the name of the view and the required model data, or `null` if the request has been handled directly
  Throws:
    `Exception` - in case of errors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.